Bug 739099 - error on running distribution info
Summary: error on running distribution info
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: Sayli Karmarkar
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 14:56 UTC by Preethi Thomas
Modified: 2015-03-23 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:13:29 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-09-16 14:56:55 UTC
Description of problem:


[root@katello-test ~]# pulp-admin -u admin -p admin distribution list


+------------------------------------------+
       List of Available Distributions
+------------------------------------------+

Id                    	ks-f14-noarch            
Description           	ks-f14-noarch             
URL                   	https://katello-test.usersys.redhat.com/pulp/ks/released/F-14/GOLD/Fedora/x86_64/os/


Id                    	ks-f14-clone-noarch      
Description           	ks-f14-clone-noarch       
URL                   	https://katello-test.usersys.redhat.com/pulp/ks/relative_path_test/


[root@katello-test ~]# pulp-admin -u admin -p admin distribution info --id=ks-f14-noarch
+------------------------------------------+
     Distribution Info for ks-f14-noarch
+------------------------------------------+
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 23, in <module>
    admin.main()
  File "/usr/lib/python2.6/site-packages/pulp/client/lib/cli.py", line 152, in main
    command.main(self.args[1:])
  File "/usr/lib/python2.6/site-packages/pulp/client/pluginlib/command.py", line 129, in main
    action.main(args[1:])
  File "/usr/lib/python2.6/site-packages/pulp/client/pluginlib/command.py", line 211, in main
    self.run()
  File "/usr/lib/python2.6/site-packages/pulp/client/admin/plugins/distribution.py", line 80, in run
    ksurl = self.cfg._sections['cds'].__getitem__('ksurl') + '/' + distribution['relativepath']
KeyError: 'cds'
You have new mail in /var/spool/mail/root

Version-Release number of selected component (if applicable):
[root@katello-test ~]# rpm -q pulp
pulp-0.0.231-1.el6.noarch
[root@katello-test ~]#

Comment 1 Sayli Karmarkar 2011-09-27 22:09:35 UTC
Fixed. 

commit 332650839fec7436acf589311939cba275f4ecd5
Author: Sayli Karmarkar <skarmark@redhat.com>
Date:   Tue Sep 27 15:10:33 2011 -0700

    739099 - fixed error when displaying distribution info because of non-existing cds config section

Comment 2 Jeff Ortel 2011-09-29 00:26:56 UTC
build: 0.235

Comment 3 Preethi Thomas 2011-09-29 14:00:42 UTC
verified

[root@preethi ~]# rpm -q pulp
pulp-0.0.235-1.fc15.noarch
[root@preethi ~]# pulp-admin -u admin -p admin distribution list

+------------------------------------------+
       List of Available Distributions
+------------------------------------------+

Id                    	ks-f15-noarch            
Description           	ks-f15-noarch            
Family                	Fedora                   
Variant               	Fedora                   
Version               	15                       
URL                   	https://preethi.usersys.redhat.com/pulp/ks/released/F-15/GOLD/Fedora/x86_64/os/


[root@preethi ~]# 
[root@preethi ~]# pulp-admin -u admin -p admin distribution info --id=ks-f15-noarch
+------------------------------------------+
     Distribution Info for ks-f15-noarch
+------------------------------------------+

Id                    	ks-f15-noarch            
Description           	ks-f15-noarch             
URL                   	https://preethi.usersys.redhat.com/pulp/ks/released/F-15/GOLD/Fedora/x86_64/os/
Files                 	/var/lib/pulp/repos/released/F-15/GOLD/Fedora/x86_64/os/images/efidisk.img
 			/var/lib/pulp/repos/released/F-15/GOLD/Fedora/x86_64/os/images/boot.iso
 			/var/lib/pulp/repos/released/F-15/GOLD/Fedora/x86_64/os/images/efiboot.img
 			/var/lib/pulp/repos/released/F-15/GOLD/Fedora/x86_64/os/images/pxeboot/initrd.img
 			/var/lib/pulp/repos/released/F-15/GOLD/Fedora/x86_64/os/images/pxeboot/vmlinuz
Relativepath          	released/F-15/GOLD/Fedora/x86_64/os


[root@preethi ~]#

Comment 4 Preethi Thomas 2012-02-24 20:13:29 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.